Delete SipTrunk

DELETE /api/v1/sip/trunk/{trunk_id}

Operation id: delete__api_v1_sip_trunk_trunk_id_

Description

Delete a SipTrunk from sip_trunk table based on SipTrunk id

Tags: SipTrunk

Parameters

Path parameters

NameTypeRequiredDescription
trunk_idintegerYesid of existing SIP Trunk

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant id of required records

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
num_rows_deletedintegerNo
{
  "type": "object",
  "properties": {
    "num_rows_deleted": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}